#' Class \code{"ListenerSet"}
#'
#'
#' This is a \dQuote{mix-in} class that adds a speaker protocol to an object,
#' which is complementary to the \code{\linkS4class{Listener}} protocol.  This
#' object maintains a list of listeners.  When the \code{notifyListeners}
#' method is called, it notifies each of the listeners by calling the
#' \code{\link{receiveMessage}} method on the listener.
#'
#'
#' @name ListenerSet-class
#' @aliases ListenerSet-class ListenerSet NullListenerSet NullListenerSet-class
#' isListener,ListenerSet-method receiveMessage,ListenerSet-method
#' notifyListeners,ListenerSet-method
#' @docType class
#' @section Extends:
#'
#' All reference classes extend and inherit methods from
#' \code{"\linkS4class{envRefClass}"}.  The class union \code{NullListenerSet}
#' is either a \code{ListenerSet} or \code{NULL}.
#' @author Russell Almond
#' @keywords classes
#' @examples
#'
#' showClass("ListenerSet")
#'
ListenerSet <-
  setRefClass("ListenerSet",
              fields=c(listeners="list"))

## Used in both EA and EI.
#' @describeIn ListenerSet Class union containing `"NULL"` and `"ListenerSet"`
setClassUnion("NullListenerSet",c("ListenerSet","NULL"))

